Stellarium uses Hypparcos star coordinates from J2000.0 instead of J1991.25

Bug #1124221 reported by Victor Reijs on 2013-02-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Stellarium
High
Alexander Wolf

Bug Description

It looks that the RA/DE(J2000) on date/time 2000/1/1 12:00 (aka J2000.0) in
Stellarium is precisely the value that is defined in Hipparcos (which is defined at J1991.25).
Example: in http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=multisearch2 , Sirius is in Hipparcos catalogue (being J1991.25) at:
H| 32349| |06 45 09.25|-16 42 47.3

If I look at Stellarium on Date/time 1991/1/1 18:00 GMT (J1991.25) I get:
RA/DE (J2000): 6h45m9.6s/-16°42'35.8"

And on date/time 2000/1/1/ 12:00 GMT (J2000.0)I get in Stellarium:
RA/DE (J2000): 6h45m9.3s/-16°42'47.3"

I am using 0.12.0 and 0.12.1, Windows XP Pro, SP3,

See also: <email address hidden>

Related branches

Changed in stellarium:
importance: Undecided → Critical
milestone: none → 0.12.1
Alexander Wolf (alexwolf) wrote :

When you change date to epoch J1991.25 then you need see RA/Dec on date, not (J2000).

Hello Alexander,

So here is all the data:
Stellarium: 2000/1/1 12:00 (J2000.0)
Sirius (α CMa) - HIP 32349
Type: star
Magnitude: -1.45 (extincted to: 6.95. B-V: 0.00)
Absolute Magnitude: 1.44
RA/DE (J2000): 6h45m9.3s/-16°42'47.3"
RA/DE (of date): 6h45m9s/-16°42'47"
Galactic longitude/latitude (J2000): -132°46'18.6"/-8°53'16.1"
Hour angle/DE: 15h10m22s/-16°42'47" (geometric)
Hour angle/DE: 15h10m22s/-16°42'47" (apparent)
Az/Alt: +49°46'58"/-60°41'57" (geometric)
Az/Alt: +49°46'58"/-60°41'57" (apparent)
Spectral Type: A0m...
Distance: 8.60 Light Years
Parallax: 0.37921"

Stellarium: 1991/1/1 18:00 (J1911.25)
Sirius (α CMa) - HIP 32349
Type: star
Magnitude: -1.45 (extincted to: 6.95. B-V: 0.00)
Absolute Magnitude: 1.44
RA/DE (J2000): 6h45m9.3s/-16°42'47.3"
RA/DE (of date): 6h45m9s/-16°42'47"
Galactic longitude/latitude (J2000): -132°46'18.6"/-8°53'16.1"
Hour angle/DE: 15h10m22s/-16°42'47" (geometric)
Hour angle/DE: 15h10m22s/-16°42'47" (apparent)
Az/Alt: +49°46'58"/-60°41'57" (geometric)
Az/Alt: +49°46'58"/-60°41'57" (apparent)
Spectral Type: A0m...
Distance: 8.60 Light Years
Parallax: 0.37921"

At J1991.25 this should be the same as Hipparcos catalogue value:
H| 32349| |06 45 09.25|-16 42 47.3

I don't see this Hipparcos value not on date/tiem 1991/1/1 18:00. I see it
in Stellariums' RA/DE(J2000) and a little differently in 'RA/DE(of date)'.

All the best,

Victor

On 13 February 2013 18:45, Alexander Wolf <email address hidden>wrote:

> When you change date to epoch J1991.25 then you need see RA/Dec on date,
> not (J2000).
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1124221
>
> Title:
> Stellarium uses Hypparcos star coordinates from J2000.0 instead of
> J1991.25
>
> Status in Stellarium:
> New
>
> Bug description:
> It looks that the RA/DE(J2000) on date/time 2000/1/1 12:00 (aka
> J2000.0) in
> Stellarium is precisely the value that is defined in Hipparcos (which is
> defined at J1991.25).
> Example: in
> http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=multisearch2 ,
> Sirius is in Hipparcos catalogue (being J1991.25) at:
> H| 32349| |06 45 09.25|-16 42 47.3
>
> If I look at Stellarium on Date/time 1991/1/1 18:00 GMT (J1991.25) I get:
> RA/DE (J2000): 6h45m9.6s/-16°42'35.8"
>
> And on date/time 2000/1/1/ 12:00 GMT (J2000.0)I get in Stellarium:
> RA/DE (J2000): 6h45m9.3s/-16°42'47.3"
>
> I am using 0.12.0 and 0.12.1, Windows XP Pro, SP3,
>
> See also: <email address hidden>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/stellarium/+bug/1124221/+subscriptions
>

Alexander Wolf (alexwolf) wrote :

I'm checked coordinates of Sirius A via SIMBAD (http://simbad.u-strasbg.fr/simbad/sim-basic?Ident=Sirius&submit=SIMBAD+search) and their values similar on coordinates from Stellarium.

Can you show this using a cut and paste. I seem not able to see this.
Thanks.

On 14 February 2013 15:47, Alexander Wolf <email address hidden>wrote:

> I'm checked coordinates of Sirius A via SIMBAD
> (http://simbad.u-strasbg.fr/simbad/sim-
> basic?Ident=Sirius&submit=SIMBAD+search) and their values similar on
> coordinates from Stellarium.
>

Alexander Wolf (alexwolf) wrote :

RA/DE (ICRS, J2000) for Sirius from SIMBAD: 06h45m08.91728s/-16°42'58.0171"
RA/DE (FK5, J2000) for Sirius from SIMBAD: 06h45m08.917s/-16°42'58.02"
RA/DE (J2000) for Sirius from Stellarium: 6h45m9.3s/-16°42'47.3" (on 2000/1/1 0:0:0)

Note: Sirius has this value of proper motions mas/yr: -546.01 -1223.07

Alexander Wolf (alexwolf) wrote :

Grrh... I'm idiot! I need check calculations in epoch converter.

Worachate Boonplod (worachateb) wrote :

A few days ago, I suspected that position of the Sun, Moon, and planets for "equinox of date" are off a bit from expected position (compared to NASA''s HORIZON). This bug might be the reason.

Hello Worachate,

On 15 February 2013 03:36, Worachate Boonplod <email address hidden>wrote:

> A few days ago, I suspected that position of the Sun, Moon, and planets
> for "equinox of date" are off a bit from expected position (compared to
> NASA''s HORIZON). This bug might be the reason.
>

I don't know. The problem I have is more related to the stars RA/DE
coordinates (related to their proper motion zero point). I don't know if
this has influence on the ephemeris of the planets/Sun/Moon.
But I hope it solves yours also;-)

Can you (re)provide an example, or i fyou already did, can you provide the
bug report number?

All the best,

Victor

I think I should report it as another bug,
Sorry.

Hello Worachate,

On 16 February 2013 05:42, Worachate Boonplod <email address hidden>wrote:

> An example - Saturn as seen from Bangkok.
>
> 1996 Jan 1 00:00 UT
> ==================
> DE406 (J2000.0) : 23h 24m 33.26s / -06° 07' 16.6"
> Stellarium (J2000.0) : 23h 24m 33.3s / -06° 07' 16.6"
> (very close - that's good)
>
> DE406 (apparent) : 23h 24m 20.78s / -06° 08' 35.1"
> Stellarium (apparent) : 23h 24m 21s / -06° 08' 36"
> (very close - that's good)
>

SkyMap Pro 9 (using VSOP8, like Stellarium):
Apparent topocentric coordinates for the epoch of date:
Right ascension: 23h 24m 21.42s
Declination: -6° 8' 30.8"

1026 Jan 1 00:00 UT
> ==================
> DE406 (J2000.0) : 00h 59m 32.10s / +03° 44' 57.2"
> Stellarium (J2000.0) : 00h 59m 32.0s / +03° 44' 56.3"
> (very close - that's good)
>
> DE406 (apparent) : 00 h 09m 40.80s / -01° 36' 41.4"
> Stellarium (apparent) : 00h 09m 31s / -01° 35' 21"
> (too far apart - needs to fix)
>

SkyMap Pro 9.0:
Apparent topocentric coordinates for the epoch of date:
Right ascension: 0h 9m 41.20s
Declination: -1° 36' 38.3"

This SkyMap is closer to DE406, while SkyMap and Stellarium use same
ephemeris...

Perhaps worth another bug report (as I think it has no relation). There
might be some relation with the Precession of the equator value (but I want
to check that after the proper motion of the stars looks better).

All the best,

Victor

Hello Stellarium and Worachate,

A recent Precession of equator formula is at:
http://adsabs.harvard.edu/abs/2005A%26A...432..355C
I don't know what Stellarium is using.

All the best,

Victor

On 16 February 2013 08:27, Victor Reijs <email address hidden> wrote:

> Perhaps worth another bug report (as I think it has no relation). There
> might be some relation with the Precession of the equator value (but I want
> to check that after the proper motion of the stars looks better).
>

Changed in stellarium:
status: New → Confirmed
milestone: 0.12.1 → none

Does this mean it is implemented in 0.12.1?

On 17 February 2013 15:49, Alexander Wolf <email address hidden>wrote:

> ** Changed in: stellarium
> Milestone: 0.12.1 => None#
>

If yes thanks. And if you want a tester, let me know.

Thanks.

All the best,

Victor

Alexander Wolf (alexwolf) wrote :

No, this mean I need more time for investigation of problem's roots and ways for it's solution.

Ok, no problem, if you want help let me know. I have the idea that the
J1991.25 Hipparcos data is simply 'converted' to J2000.0 without any
change. Anyway, if you want a tester, I am there.

All the best,

Victor

On 17 February 2013 18:29, Alexander Wolf <email address hidden>wrote:

> No, this mean I need more time for investigation of problem's roots and
> ways for it's solution.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1124221
>
> Title:
> Stellarium uses Hypparcos star coordinates from J2000.0 instead of
> J1991.25
>
> Status in Stellarium:
> Confirmed
>
> Bug description:
> It looks that the RA/DE(J2000) on date/time 2000/1/1 12:00 (aka
> J2000.0) in
> Stellarium is precisely the value that is defined in Hipparcos (which is
> defined at J1991.25).
> Example: in
> http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=multisearch2 ,
> Sirius is in Hipparcos catalogue (being J1991.25) at:
> H| 32349| |06 45 09.25|-16 42 47.3
>
> If I look at Stellarium on Date/time 1991/1/1 18:00 GMT (J1991.25) I get:
> RA/DE (J2000): 6h45m9.6s/-16°42'35.8"
>
> And on date/time 2000/1/1/ 12:00 GMT (J2000.0)I get in Stellarium:
> RA/DE (J2000): 6h45m9.3s/-16°42'47.3"
>
> I am using 0.12.0 and 0.12.1, Windows XP Pro, SP3,
>
> See also: <email address hidden>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/stellarium/+bug/1124221/+subscriptions
>

Alexander Wolf (alexwolf) wrote :

OK. Stellarium has been used simple equation for converting coordinates between epochs and this equation give error of course.

Hello Alexander,

On 22 February 2013 17:33, Alexander Wolf <email address hidden>wrote:

> OK. Stellarium has been used simple equation for converting coordinates
> between epochs and this equation give error of course.
>

If you can point me to the code, I could have a look. There might be two
locations where this code could be:
. as the Hipparcos data is at a different reference date (J1991.25) as the
other Tycho 2 stars (J2000.0) it might be that Hipparcos stars are 'moved'
(using proper motion and precession of equator) to J2000.0 outside
Stellarium so that all stars have the same reference date (J2000.0).
. or does a star have a tag with the reference date (J199.25, J2000.0 or
something else) and then it needs to be compensated (using proper motion
and precession) in Stellarium according to that reference date.

Let me now if I can help?

All the best,

Victor

Alexander Wolf (alexwolf) wrote :

Code for change epoch for preparation of star catalog is here: http://bazaar.launchpad.net/~stellarium/stellarium/trunk/view/head:/util/ParseHip.C#L122

I think we have not exactly epoch bug :-/

Hello Alexander,

Just to understand this is code not part of the main body of Stellarium,
but to make the cat files of the Hipparcos stars, correct?

On 23 February 2013 12:30, Alexander Wolf <email address hidden>wrote:

> Code for change epoch for preparation of star catalog is here:
>
> http://bazaar.launchpad.net/~stellarium/stellarium/trunk/view/head:/util/ParseHip.C#L122
>

So it is important to know that the value is of deltayears in line 122?
Is my assumption correct that deltayears = 'epoch of Stellarium' - 'epoch
of the stars' ?
'Epoch of Stellarium'=J2000.0? IS this the correct reference epoch of
Stellarium?
'epoch of stars' = J1991.25 (if using the original Hipparcos and *not* an
already converted Hipparcos)

Original Hipparcos cat (J1991.25) is at:
http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=hipsearch (using
ID=32349)
A converted Hipparcos catelogue (J2000.0) is at:
http://simbad.u-strasbg.fr/simbad/sim-id?Ident=sirius&NbIdent=1&Radius=2&Radius.unit=arcmin&submit=submit+id

All the best,

Victor

Alexander Wolf (alexwolf) wrote :

2013/2/23 Victor Reijs <email address hidden>

> Just to understand this is code not part of the main body of Stellarium,
> but to make the cat files of the Hipparcos stars, correct?
>

Yes, this is correct.

Hello Alexander,

Are you able to help me to answer the below?

On 23 February 2013 13:09, Victor Reijs <email address hidden> wrote:

> On 23 February 2013 12:30, Alexander Wolf <email address hidden>wrote:
>
>> Code for change epoch for preparation of star catalog is here:
>>
>> http://bazaar.launchpad.net/~stellarium/stellarium/trunk/view/head:/util/ParseHip.C#L122
>>
>
> So it is important to know that the value is of deltayears in line 122?
> Is my assumption correct that deltayears = 'epoch of Stellarium' - 'epoch
> of the stars' ?
> 'Epoch of Stellarium'=J2000.0? IS this the correct reference epoch of
> Stellarium?
> 'epoch of stars' = J1991.25 (if using the original Hipparcos and *not* an
> already converted Hipparcos)
>
> Original Hipparcos cat (J1991.25) is at:
> http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=hipsearch (using
> ID=32349)
> A converted Hipparcos catelogue (J2000.0) is at:
> http://simbad.u-strasbg.fr/simbad/sim-id?Ident=sirius&NbIdent=1&Radius=2&Radius.unit=arcmin&submit=submit+id
>

I see in the zip file of the source there is a SimbadSearcher.cpp, which at
the end has a line:
    url += QString("set epoch J2000\nset limit %1\n query id
").arg(maxNbResult);
<to be honest I don't fully understang this and I don't know if this source
is reading the cat data into Stellarium>

For the Simbad catelogue J2000.0 is indeed true. But what value of Sirius
for instance is in the raw file that is being read in Stellarium?

All the best,

Victor

Alexander Wolf (alexwolf) wrote :

Stellarium used Simbad for objects which not within Stellarium' catalogs.

Who can help me with hands-on checking of the code? I am willing to look at
this.
I gave a four step approach to know how Stellarium handles things, but I
don't know where to look.
The fact that the Stellarium's J2000.0 RA/DE output is the same as the
J1991.25 Hipparcos data; looks to be an easy recoverable bug. and for that
I provides these four steps:

   - So it is important to know that the value is of deltayears in line
   122? Is my assumption correct that deltayears = 'epoch of Stellarium' -
   'epoch of the stars' ?
   - 'Epoch of Stellarium'=J2000.0? IS this the correct reference epoch of
   Stellarium?
   - Is 'epoch of stars' = J1991.25 (if using the original Hipparcos and
   *not* an already converted Hipparcos)?
   - what is the RA/DE of Sirius in the raw Stellarium cat-file

It might be more complex, but seeing precisely the same numbers at a wrong
date sound simple and thus I first think to check these simple steps, but
again I need someone to help navigate the code where these three things are
handles;-)

All the best,

Victor

Hello all of you,

I think Stellarium uses J2000.0 as the basis (not that I really found it in
the code, but the code refers a lot of J2000.0). So for now I assume [which
can be wrong] that J2000.0 is used as the reference date.

So that would mean that the star cat-file should also be related to
J2000.0. Although I don't see this referred to in the Appendix D of the
User guide!

I think the star.cat don't hold the RA and DEC values (only references from
the 'Zones'). So easily checking the cat files, does not yet really help me.

So in some way it would be nice if someone knows what the encode RA/DE
values are for Sirius in the star cat file. Thanks if someone can help me
here.

All the best,

Victor

On 26 February 2013 15:00, Victor Reijs <email address hidden> wrote:

> Who can help me with hands-on checking of the code? I am willing to look
> at this.
> I gave a four step approach to know how Stellarium handles things, but I
> don't know where to look.
> The fact that the Stellarium's J2000.0 RA/DE output is the same as the
> J1991.25 Hipparcos data; looks to be an easy recoverable bug. and for that
> I provides these four steps:
>
> - So it is important to know that the value is of deltayears in line
> 122? Is my assumption correct that deltayears = 'epoch of Stellarium' -
> 'epoch of the stars' ?
> - 'Epoch of Stellarium'=J2000.0? IS this the correct reference epoch
> of Stellarium?
> - Is 'epoch of stars' = J1991.25 (if using the original Hipparcos and
> *not* an already converted Hipparcos)?
> - what is the RA/DE of Sirius in the raw Stellarium cat-file
>
>
> It might be more complex, but seeing precisely the same numbers at a wrong
> date sound simple and thus I first think to check these simple steps, but
> again I need someone to help navigate the code where these three things are
> handles;-)
>
> All the best,
>
>
> Victor
>

Alexander Wolf (alexwolf) wrote :

Catalogs stars0..stars3 will be re-packed in new version.

Changed in stellarium:
milestone: none → 0.12.1
assignee: nobody → Alexander Wolf (alexwolf)
status: Confirmed → In Progress

Hello Alexander,

Can you tell what was the reason of this re-packing? Can you tell em what
was found? Thanks for working on this.

Thanks.

All the best,

Victor

On 1 March 2013 05:25, Alexander Wolf <email address hidden> wrote:

> Catalogs stars0..stars3 will be re-packed in new version.
>
> ** Changed in: stellarium
> Milestone: None => 0.12.1
>
> ** Changed in: stellarium
> Assignee: (unassigned) => Alexander Wolf (alexwolf)
>
> ** Changed in: stellarium
> Status: Confirmed => In Progress
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1124221
>
> Title:
> Stellarium uses Hypparcos star coordinates from J2000.0 instead of
> J1991.25
>
> Status in Stellarium:
> In Progress
>
> Bug description:
> It looks that the RA/DE(J2000) on date/time 2000/1/1 12:00 (aka
> J2000.0) in
> Stellarium is precisely the value that is defined in Hipparcos (which is
> defined at J1991.25).
> Example: in
> http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=multisearch2 ,
> Sirius is in Hipparcos catalogue (being J1991.25) at:
> H| 32349| |06 45 09.25|-16 42 47.3
>
> If I look at Stellarium on Date/time 1991/1/1 18:00 GMT (J1991.25) I get:
> RA/DE (J2000): 6h45m9.6s/-16°42'35.8"
>
> And on date/time 2000/1/1/ 12:00 GMT (J2000.0)I get in Stellarium:
> RA/DE (J2000): 6h45m9.3s/-16°42'47.3"
>
> I am using 0.12.0 and 0.12.1, Windows XP Pro, SP3,
>
> See also: <email address hidden>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/stellarium/+bug/1124221/+subscriptions
>

Alexander Wolf (alexwolf) wrote :

Tycho 2 supplement contains stars for J2000.0 and J 1991.25 epochs. I'm download original Hipparcos and Tycho 2, Hipparcos for J2000.0 from VizieR. Next step: write small converter on Perl for merge J2000.0 coordinates to original Hipparcos catalog + disable changeEpoch() and add "fix" for Hipparcos stars from Tycho supplement part.

Diff: http://bazaar.launchpad.net/~stellarium/stellarium/trunk/revision/5865

Changed in stellarium:
status: In Progress → Fix Committed

Thanks Alexander, if you need a tester, you know where I am;-)

All the best,

Victor

On 1 March 2013 16:41, Alexander Wolf <email address hidden> wrote:

> Tycho 2 supplement contains stars for J2000.0 and J 1991.25 epochs. I'm
> download original Hipparcos and Tycho 2, Hipparcos for J2000.0 from
> VizieR. Next step: write small converter on Perl for merge J2000.0
> coordinates to original Hipparcos catalog + disable changeEpoch() and
> add "fix" for Hipparcos stars from Tycho supplement part.
>
> Diff:
> http://bazaar.launchpad.net/~stellarium/stellarium/trunk/revision/5865
>
> ** Changed in: stellarium
> Status: In Progress => Fix Committed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1124221
>
> Title:
> Stellarium uses Hypparcos star coordinates from J2000.0 instead of
> J1991.25
>
> Status in Stellarium:
> Fix Committed
>
> Bug description:
> It looks that the RA/DE(J2000) on date/time 2000/1/1 12:00 (aka
> J2000.0) in
> Stellarium is precisely the value that is defined in Hipparcos (which is
> defined at J1991.25).
> Example: in
> http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=multisearch2 ,
> Sirius is in Hipparcos catalogue (being J1991.25) at:
> H| 32349| |06 45 09.25|-16 42 47.3
>
> If I look at Stellarium on Date/time 1991/1/1 18:00 GMT (J1991.25) I get:
> RA/DE (J2000): 6h45m9.6s/-16°42'35.8"
>
> And on date/time 2000/1/1/ 12:00 GMT (J2000.0)I get in Stellarium:
> RA/DE (J2000): 6h45m9.3s/-16°42'47.3"
>
> I am using 0.12.0 and 0.12.1, Windows XP Pro, SP3,
>
> See also: <email address hidden>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/stellarium/+bug/1124221/+subscriptions
>

Hello Alexander,

Beside the proper motion there is of course also for some 9 years the
precession of the equator to get from J1991.25 to J2000.0, was that
included? Thanks.

All the best,

Victor

On 1 March 2013 16:41, Alexander Wolf <email address hidden> wrote:

> Tycho 2 supplement contains stars for J2000.0 and J 1991.25 epochs. I'm
> download original Hipparcos and Tycho 2, Hipparcos for J2000.0 from
> VizieR. Next step: write small converter on Perl for merge J2000.0
> coordinates to original Hipparcos catalog + disable changeEpoch() and
> add "fix" for Hipparcos stars from Tycho supplement part.
>
> Diff:
> http://bazaar.launchpad.net/~stellarium/stellarium/trunk/revision/5865
>
> ** Changed in: stellarium
> Status: In Progress => Fix Committed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1124221
>
> Title:
> Stellarium uses Hypparcos star coordinates from J2000.0 instead of
> J1991.25
>
> Status in Stellarium:
> Fix Committed
>
> Bug description:
> It looks that the RA/DE(J2000) on date/time 2000/1/1 12:00 (aka
> J2000.0) in
> Stellarium is precisely the value that is defined in Hipparcos (which is
> defined at J1991.25).
> Example: in
> http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=multisearch2 ,
> Sirius is in Hipparcos catalogue (being J1991.25) at:
> H| 32349| |06 45 09.25|-16 42 47.3
>
> If I look at Stellarium on Date/time 1991/1/1 18:00 GMT (J1991.25) I get:
> RA/DE (J2000): 6h45m9.6s/-16°42'35.8"
>
> And on date/time 2000/1/1/ 12:00 GMT (J2000.0)I get in Stellarium:
> RA/DE (J2000): 6h45m9.3s/-16°42'47.3"
>
> I am using 0.12.0 and 0.12.1, Windows XP Pro, SP3,
>
> See also: <email address hidden>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/stellarium/+bug/1124221/+subscriptions
>

Alexander Wolf (alexwolf) wrote :

Yes.

Changed in stellarium:
importance: Critical → High

Hello Alexander, do you have a latest 0.12.1 version (Windows) for test?
Let me know. Thanks. I would like to test this J2000.0

On 3 March 2013 15:13, Alexander Wolf <email address hidden> wrote:

> ** Changed in: stellarium
> Importance: Critical => High
>

Alexander Wolf (alexwolf) wrote :

Dear Victor,

you can download 0.12.1beta2 for tests.

Thanks Alexander.

If I look at Sirius on 1991/1/1 18:00 GMT (so 1991.25):
Sirius (α CMa) - HIP 32349
Type: star
Magnitude: -1.45 (extincted to: 11.15. B-V: 0.00)
Absolute Magnitude: 1.44
RA/DE (J2000): 6h45m9.3s/-16°42'46.5"
RA/DE (of date): 6h44m45s/-16°42'11"
Galactic longitude/latitude: -132°46'19.0"/-8°53'15.0"
Hour angle/DE: 17h34m28s/-16°42'11" (geometric)
Hour angle/DE: 17h34m28s/-16°42'11" (apparent)
Az/Alt: +95°06'28"/-17°07'32" (geometric)
Az/Alt: +95°06'28"/-17°07'32" (apparent)
Spectral Type: A0m...
Distance: 8.60 Light Years
Parallax: 0.37921"

IMHO the RA/DE (of date) should be the same a the value in the original
Hipparcos J1991.25 catalogue:
H| 32349| |06 45 09.25|-16 42 47.3

So there is a difference here. I don't know what the reason is here.

If we compare the 2000/1/1 12:00 GMT (J2000.0) with SIMBAD (which is
J2000.0) we see:
http://simbad.u-strasbg.fr/simbad/sim-basic?Ident=sirius&submit=SIMBAD+search

 * 06 45 08.91728 -16 42 58.0171*
Sirius (α CMa) - HIP 32349
Type: star
Magnitude: -1.45 (extincted to: 11.15. B-V: 0.00)
Absolute Magnitude: 1.44
RA/DE (J2000): 6h45m8.9s/-16°42'58.0"
RA/DE (of date): 6h45m9s/-16°42'58"
Galactic longitude/latitude: -132°46'11.0"/-8°53'25.0"
Hour angle/DE: 11h32m20s/-16°42'58" (geometric)
Hour angle/DE: 11h32m20s/-16°42'58" (apparent)
Az/Alt: +349°00'47"/-52°46'16" (geometric)
Az/Alt: +349°00'47"/-52°46'16" (apparent)
Spectral Type: A0m...
Distance: 8.60 Light Years
Parallax: 0.37921"

So J2000.0 looks ok.

All the best,

Victor

On 8 March 2013 17:16, Alexander Wolf <email address hidden> wrote:

> Dear Victor,
>
> you can download 0.12.1beta2 for tests.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1124221
>
> Title:
> Stellarium uses Hypparcos star coordinates from J2000.0 instead of
> J1991.25
>
> Status in Stellarium:
> Fix Committed
>
> Bug description:
> It looks that the RA/DE(J2000) on date/time 2000/1/1 12:00 (aka
> J2000.0) in
> Stellarium is precisely the value that is defined in Hipparcos (which is
> defined at J1991.25).
> Example: in
> http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=multisearch2 ,
> Sirius is in Hipparcos catalogue (being J1991.25) at:
> H| 32349| |06 45 09.25|-16 42 47.3
>
> If I look at Stellarium on Date/time 1991/1/1 18:00 GMT (J1991.25) I get:
> RA/DE (J2000): 6h45m9.6s/-16°42'35.8"
>
> And on date/time 2000/1/1/ 12:00 GMT (J2000.0)I get in Stellarium:
> RA/DE (J2000): 6h45m9.3s/-16°42'47.3"
>
> I am using 0.12.0 and 0.12.1, Windows XP Pro, SP3,
>
> See also: <email address hidden>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/stellarium/+bug/1124221/+subscriptions
>

Hello Alexander, if you want a tester for a newer version, let me know.

All the best,

Victor

On 8 March 2013 18:01, Victor Reijs <email address hidden> wrote:

> Thanks Alexander.
>
> If I look at Sirius on 1991/1/1 18:00 GMT (so 1991.25):
>
> Sirius (α CMa) - HIP 32349
> Type: star
> Magnitude: -1.45 (extincted to: 11.15. B-V: 0.00)
> Absolute Magnitude: 1.44
> RA/DE (J2000): 6h45m9.3s/-16°42'46.5"
> RA/DE (of date): 6h44m45s/-16°42'11"
> Galactic longitude/latitude: -132°46'19.0"/-8°53'15.0"
> Hour angle/DE: 17h34m28s/-16°42'11" (geometric)
> Hour angle/DE: 17h34m28s/-16°42'11" (apparent)
> Az/Alt: +95°06'28"/-17°07'32" (geometric)
> Az/Alt: +95°06'28"/-17°07'32" (apparent)
>
> Spectral Type: A0m...
> Distance: 8.60 Light Years
> Parallax: 0.37921"
>
> IMHO the RA/DE (of date) should be the same a the value in the original
> Hipparcos J1991.25 catalogue:
>
> H| 32349| |06 45 09.25|-16 42 47.3
>
> So there is a difference here. I don't know what the reason is here.
>
>
> If we compare the 2000/1/1 12:00 GMT (J2000.0) with SIMBAD (which is
> J2000.0) we see:
>
> http://simbad.u-strasbg.fr/simbad/sim-basic?Ident=sirius&submit=SIMBAD+search
>
> * 06 45 08.91728 -16 42 58.0171*
>
> Sirius (α CMa) - HIP 32349
> Type: star
> Magnitude: -1.45 (extincted to: 11.15. B-V: 0.00)
> Absolute Magnitude: 1.44
> RA/DE (J2000): 6h45m8.9s/-16°42'58.0"
> RA/DE (of date): 6h45m9s/-16°42'58"
> Galactic longitude/latitude: -132°46'11.0"/-8°53'25.0"
> Hour angle/DE: 11h32m20s/-16°42'58" (geometric)
> Hour angle/DE: 11h32m20s/-16°42'58" (apparent)
> Az/Alt: +349°00'47"/-52°46'16" (geometric)
> Az/Alt: +349°00'47"/-52°46'16" (apparent)
>
> Spectral Type: A0m...
> Distance: 8.60 Light Years
> Parallax: 0.37921"
>
> So J2000.0 looks ok.
>
> All the best,
>
>
> Victor
>
>
> On 8 March 2013 17:16, Alexander Wolf <email address hidden> wrote:
>
>> Dear Victor,
>>
>> you can download 0.12.1beta2 for tests.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1124221
>>
>> Title:
>> Stellarium uses Hypparcos star coordinates from J2000.0 instead of
>> J1991.25
>>
>> Status in Stellarium:
>> Fix Committed
>>
>> Bug description:
>> It looks that the RA/DE(J2000) on date/time 2000/1/1 12:00 (aka
>> J2000.0) in
>> Stellarium is precisely the value that is defined in Hipparcos (which
>> is defined at J1991.25).
>> Example: in
>> http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=multisearch2 ,
>> Sirius is in Hipparcos catalogue (being J1991.25) at:
>> H| 32349| |06 45 09.25|-16 42 47.3
>>
>> If I look at Stellarium on Date/time 1991/1/1 18:00 GMT (J1991.25) I
>> get:
>> RA/DE (J2000): 6h45m9.6s/-16°42'35.8"
>>
>> And on date/time 2000/1/1/ 12:00 GMT (J2000.0)I get in Stellarium:
>> RA/DE (J2000): 6h45m9.3s/-16°42'47.3"
>>
>> I am using 0.12.0 and 0.12.1, Windows XP Pro, SP3,
>>
>> See also: <email address hidden>
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/stellarium/+bug/1124221/+subscriptions
>>
>
>

Changed in stellarium:
status: Fix Committed → Fix Released

Hello Alexander,

Thanks for this 0.12.1 release. I see the same DE difference still in
J1991.25 as reported on March 8th (a difference of 0.8" in DE, which is
large-ish as that is the basic primary resource data). Will check, later on
the day, if this error is proportional to the date.

All the best,

Victor

On 21 April 2013 09:47, Alexander Wolf <email address hidden> wrote:

> ** Changed in: stellarium
> Status: Fix Committed => Fix Released
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1124221
>
> Title:
> Stellarium uses Hypparcos star coordinates from J2000.0 instead of
> J1991.25
>
> Status in Stellarium:
> Fix Released
>
> Bug description:
> It looks that the RA/DE(J2000) on date/time 2000/1/1 12:00 (aka
> J2000.0) in
> Stellarium is precisely the value that is defined in Hipparcos (which is
> defined at J1991.25).
> Example: in
> http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=multisearch2 ,
> Sirius is in Hipparcos catalogue (being J1991.25) at:
> H| 32349| |06 45 09.25|-16 42 47.3
>
> If I look at Stellarium on Date/time 1991/1/1 18:00 GMT (J1991.25) I get:
> RA/DE (J2000): 6h45m9.6s/-16°42'35.8"
>
> And on date/time 2000/1/1/ 12:00 GMT (J2000.0)I get in Stellarium:
> RA/DE (J2000): 6h45m9.3s/-16°42'47.3"
>
> I am using 0.12.0 and 0.12.1, Windows XP Pro, SP3,
>
> See also: <email address hidden>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/stellarium/+bug/1124221/+subscriptions
>

The error is increasing over time (in -2013 the error is quite large a few
degrees! So not really precise enough). I find it still is strange that it
is not possible to get the value for J1991.25 correct, J2000.0 is correct!
If that is not correct, then -2013 will certainly be wrong.

All the best,

Victor

On 21 April 2013 11:54, Victor Reijs <email address hidden> wrote:

> Hello Alexander,
>
> Thanks for this 0.12.1 release. I see the same DE difference still in
> J1991.25 as reported on March 8th (a difference of 0.8" in DE, which is
> large-ish as that is the basic primary resource data). Will check, later on
> the day, if this error is proportional to the date.
>
> All the best,
>
>
> Victor
>
>
> On 21 April 2013 09:47, Alexander Wolf <email address hidden> wrote:
>
>> ** Changed in: stellarium
>> Status: Fix Committed => Fix Released
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1124221
>>
>> Title:
>> Stellarium uses Hypparcos star coordinates from J2000.0 instead of
>> J1991.25
>>
>> Status in Stellarium:
>> Fix Released
>>
>> Bug description:
>> It looks that the RA/DE(J2000) on date/time 2000/1/1 12:00 (aka
>> J2000.0) in
>> Stellarium is precisely the value that is defined in Hipparcos (which
>> is defined at J1991.25).
>> Example: in
>> http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=multisearch2 ,
>> Sirius is in Hipparcos catalogue (being J1991.25) at:
>> H| 32349| |06 45 09.25|-16 42 47.3
>>
>> If I look at Stellarium on Date/time 1991/1/1 18:00 GMT (J1991.25) I
>> get:
>> RA/DE (J2000): 6h45m9.6s/-16°42'35.8"
>>
>> And on date/time 2000/1/1/ 12:00 GMT (J2000.0)I get in Stellarium:
>> RA/DE (J2000): 6h45m9.3s/-16°42'47.3"
>>
>> I am using 0.12.0 and 0.12.1, Windows XP Pro, SP3,
>>
>> See also: <email address hidden>
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/stellarium/+bug/1124221/+subscriptions
>>
>
>

Alexander Wolf (alexwolf) wrote :

I'm improve accuracy of our star catalogues from Hipparcos, the New Reduction (van Leeuwen, 2007) catalog (Hipparcos 2). You can test new catalog since 0.12.2dev2. Next possibility for improve coordinates via time - using non-linear model for proper motion of stars.

Hello Alexander, I see a dev1 in:
https://launchpad.net/stellarium/+download
but not dev2.

Let me know if I look at the right location.

Thanks.

All the best,

Victor

On 3 May 2013 18:49, Alexander Wolf <email address hidden> wrote:

> I'm improve accuracy of our star catalogues from Hipparcos, the New
> Reduction (van Leeuwen, 2007) catalog (Hipparcos 2). You can test new
> catalog since 0.12.2dev2. Next possibility for improve coordinates via
> time - using non-linear model for proper motion of stars.
>

Alexander Wolf (alexwolf) wrote :

Hmm... This is my mistake - 0.12.2dev2 will be available on this week-end.

Hello Alexander,

Ok I now tried this dev 2. I used Spica on -282/11/9 4:52:31 GMT
(location Skerries, not so important as we are interested in RA/DE) this
gives:

Spica (α Vir) - HIP 65474
Type: star
Magnitude: 0.95 (extincted to: 1.38. B-V: -0.25)
Absolute Magnitude: -3.47
RA/DE (J2000): 13h25m18.2s/-11°08'16.7"
RA/DE (of date): 11h27m26s/+1°18'46" ---> 171.85 / 1.3128
Galactic longitude/latitude: -43°50'17.3"/+50°51'42.5"
Hour angle/DE: 20h55m28s/+1°18'46" (geometric)
Hour angle/DE: 20h55m31s/+1°20'20" (apparent)
Az/Alt: +126°59'19"/+25°31'48" (geometric)
Az/Alt: +126°59'19"/+25°33'35" (apparent)
Spectral Type: B1V
Distance: 249.74 Light Years
Parallax: 0.01306"
<perhaps it would be handy to have the date, time, jdn# number is this copy
function of object data>

Compared with:
Spica coordinates are RA = 172.0550°, dec. =+1.3998° (true equator &
equinox). (using other program, like Swiss Ephemeris)

So this is already better than 0.12.1 version. (max error is now some 0.2
degrees)

All the best,

Victor

On 3 May 2013 20:14, Alexander Wolf <email address hidden> wrote:

> Hmm... This is my mistake - 0.12.2dev2 will be available on this week-
> end.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1124221
>
> Title:
> Stellarium uses Hypparcos star coordinates from J2000.0 instead of
> J1991.25
>
> Status in Stellarium:
> Fix Released
>
> Bug description:
> It looks that the RA/DE(J2000) on date/time 2000/1/1 12:00 (aka
> J2000.0) in
> Stellarium is precisely the value that is defined in Hipparcos (which is
> defined at J1991.25).
> Example: in
> http://www.rssd.esa.int/index.php?project=HIPPARCOS&page=multisearch2 ,
> Sirius is in Hipparcos catalogue (being J1991.25) at:
> H| 32349| |06 45 09.25|-16 42 47.3
>
> If I look at Stellarium on Date/time 1991/1/1 18:00 GMT (J1991.25) I get:
> RA/DE (J2000): 6h45m9.6s/-16°42'35.8"
>
> And on date/time 2000/1/1/ 12:00 GMT (J2000.0)I get in Stellarium:
> RA/DE (J2000): 6h45m9.3s/-16°42'47.3"
>
> I am using 0.12.0 and 0.12.1, Windows XP Pro, SP3,
>
> See also: <email address hidden>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/stellarium/+bug/1124221/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers